# EXTDrawBuffers2 (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class EXTDrawBuffers2

    java.lang.Object
      org.lwjgl.opengl.EXTDrawBuffers2

    public final class EXTDrawBuffers2

extends java.lang.Object

Method Summary
`static void` `glColorMaskIndexedEXT(int buf, boolean r, boolean g, boolean b, boolean a)`
`static void` `glDisableIndexedEXT(int target, int index)`
`static void` `glEnableIndexedEXT(int target, int index)`
`static boolean` `glGetBooleanIndexedEXT(int value, int index)` Overloads glGetBooleanIndexedvEXT.
`static void` `glGetBooleanIndexedEXT(int value, int index, java.nio.ByteBuffer data)`
`static int` `glGetIntegerIndexedEXT(int value, int index)` Overloads glGetIntegerIndexedvEXT.
`static void` `glGetIntegerIndexedEXT(int value, int index, java.nio.IntBuffer data)`
`static boolean` `glIsEnabledIndexedEXT(int target, int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### glColorMaskIndexedEXT

    public static void glColorMaskIndexedEXT(int buf,
                                             boolean r,
                                             boolean g,
                                             boolean b,
                                             boolean a)

### glGetBooleanIndexedEXT

    public static void glGetBooleanIndexedEXT(int value,
                                              int index,
                                              java.nio.ByteBuffer data)

### glGetBooleanIndexedEXT

    public static boolean glGetBooleanIndexedEXT(int value,
                                                 int index)

  Overloads glGetBooleanIndexedvEXT.

### glGetIntegerIndexedEXT

    public static void glGetIntegerIndexedEXT(int value,
                                              int index,
                                              java.nio.IntBuffer data)

### glGetIntegerIndexedEXT

    public static int glGetIntegerIndexedEXT(int value,
                                             int index)

  Overloads glGetIntegerIndexedvEXT.

### glEnableIndexedEXT

    public static void glEnableIndexedEXT(int target,
                                          int index)

### glDisableIndexedEXT

    public static void glDisableIndexedEXT(int target,
                                           int index)

### glIsEnabledIndexedEXT

    public static boolean glIsEnabledIndexedEXT(int target,
                                                int index)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.